# Load R scripts containing the functions needed to run 2_summarize.
source("src/2_summarize_wqp_metals.R")

p2_targets<- list(

  # Join the site metadata and basin abbreviations into the raw metals data
  tar_target(p2_joined_wqp_pull,
    join_and_prep_metadata(
      wqp_site_info = p1_site_info_all_huc_metal_csv,
      wqp_metals_data = p1_all_metals_data_csv,
      basin_xwalk = basin_xwalk)),

  # Save a table summarizing the metals data downloaded per basin, including
  # the total number of record, the number of unique sites, the number of
  # missing records, the earliest date in the set, and the latest date.
  tar_target(p2_summarize_wqp_metals_csv,
             summarize_wqp_metals(file_out = "log/2_summarize_wqp_metals.csv",
                                  all_wqp_data_info = p2_joined_wqp_pull),
             format = "file"),

  # Save a table summarizing the total number of records downloaded per basin per
  # metal, where the basins are the rows and the metals are the columns.
  tar_target(
    p2_summarize_basins_by_metals_csv,
      summarize_basins_by_metals(file_out = "log/2_summarize_basins_by_metals.csv",
                           all_wqp_data_info = p2_joined_wqp_pull),
    format = "file")

)
