# Metals Data Download

Code to download discrete metals data from the Water Quality Portal

### R package targets

This repository is setup using [the R pipelining package targets](https://books.ropensci.org/targets/). Anyone who wants to recreate this analysis, would need R, the package `targets` and any packages listed on the top of the `_targets.R` file. See [targets](https://docs.ropensci.org/targets/) for more information and help on using the package. 

## How to build this pipeline

### Download data from WQP

To build the metals data fetch and summarize steps, run the following:
```r
library(targets)
tar_make(starts_with('p2_'))
```

If you need to re-download the WQP data, update the date `fetch_date` on line 15 in `1_fetch.R`. 

You will not be able to run the steps to download the ancillary data (see `1b_fetch_ancillary.R`) until after the `metals-data-cleanup` pipeline is run because it depends on the `out/metals_clean_sites.csv` file created there (see figure below about this circular dependency). If you see an error about that, follow the instructions in the `metals-data-cleanup` codebase's README and then come back to build this one.

![](workflow_circularity_diagram.png)

### Clean the data

The out folder (`metal-data-download/out`) will be used as the input to the `metals-data-cleanup` pipeline. 


