#' @title Download water quality portal site data and information
#' @description Use this to download metal files from the water quality portal.
#' It has one function for  downloading the data and another
#' for site info. It returns a csv the unique combination of hucs and metals.
#' @param huc character string of the hucs to include in the search
#' @param metal character string of the metals to be searched
#' @param sampleMedia character string for the search query to only include water
#' @param file_out csv filepath

download_wqp_site_data <- function(huc, metal, sampleMedia, file_out) {
  data_out<- retry::retry(readWQPdata(
    huc = huc,
    characteristicName = metal,
    sampleMedia = sampleMedia),
    when = "Error:", max_tries = 3)
  write_csv(data_out, file = file_out)

  return(file_out)
}

download_site_info <- function(site_id, file_out, max_tries =10) {
  site_info<- retry::retry(whatWQPsites(
    siteid = site_id),
    when = "Error:", max_tries = 3)
  write_csv(site_info, file = file_out)

  return(file_out)
}
